Summary:	A challenging 2D motocross platform game
Name:		xmoto
Version:	0.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
Url:		http://xmoto.sourceforge.net/
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/%{name}-%{version}-src.tar.gz
Source1:	%{name}.png
BuildRequires:	mesaglu-devel
BuildRequires:	ode-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_net-devel
BuildRequires:	curl-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	lua-devel
BuildRequires:	sqlite3-devel
BuildRequires:	bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-localesdir=%{_datadir}/locale \
	--disable-rpath \
	--enable-threads=pth \
	--with-renderer-openGl=1 \
	--with-unoptimized=0

%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=X-Moto
Comment=Motocross platform game
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*


%changelog
* Sun Nov 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 308476
- update to new version 0.5.0
- add missing buildrequires on SDL_net-devel and bison
- disable rpath
- enable pth threads
- OpenGL is now default renderer
- move icons to fd.o compliant directory

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2-3mdv2009.0
+ Revision: 269804
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Apr 10 2008 Olivier Blin <oblin@mandriva.com> 0.4.2-1mdv2009.0
+ Revision: 192553
- update man page location
- 0.4.2

* Wed Feb 20 2008 Olivier Blin <oblin@mandriva.com> 0.4.1-1mdv2008.1
+ Revision: 173162
- subversion is not required anymore at build time
- 0.4.1

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 160967
- BR svn
- New version 0.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Olivier Blin <oblin@mandriva.com> 0.3.4-1mdv2008.1
+ Revision: 102544
- 0.3.4

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-1mdv2008.0
+ Revision: 79722
- New version 0.3.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 07 2007 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2008.0
+ Revision: 59725
- 0.3.2

* Thu Jul 05 2007 Olivier Blin <oblin@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 48446
- 0.3.1

* Thu Jun 14 2007 Olivier Blin <oblin@mandriva.com> 0.3.0-1mdv2008.0
+ Revision: 39317
- do not run automake anymore
- 0.3.0
- buildrequire SDL_ttf-devel and sqlite-devel


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 0.2.7-1mdv2007.1
+ Revision: 146717
- 0.2.7 (bugfix release)

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.2.6-2mdv2007.1
+ Revision: 141625
- get man page from upstream SVN
- 0.2.6
- temporarily remove corrupted man page

* Mon Jan 22 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-2mdv2007.1
+ Revision: 111784
- rebuild for new ode

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-1mdv2007.1
+ Revision: 103095
- 0.2.4

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 0.2.2-2mdv2007.1
+ Revision: 64521
- buildrequires bzip2-devel
- buildrequires png-devel
- buildrequires jpeg-devel
- package locale files
- add man pages
- fix parallel build
- 0.2.2
- remove 2006.0 hacks and menu
- Import xmoto

* Sun Sep 10 2006 Olivier Blin <blino@mandriva.com> 0.2.0-3mdv2007.0
- use soundwrapper

* Tue Aug 08 2006 Olivier Blin <blino@mandriva.com> 0.2.0-2mdv2007.0
- rebuild for single precision ode (#24139)

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 0.2.0-1mdv2007.0
- 0.2.0

* Fri Jul 21 2006 Olivier Blin <blino@mandriva.com> 0.1.16-2mdv2007.0
- rebuild for new libode
- XDG menu
- fix old menu section

* Sat Jun 17 2006 Olivier Blin <oblin@mandriva.com> 0.1.16-1mdv2007.0
- New release 0.1.16

* Sun May 21 2006 Olivier Blin <oblin@mandriva.com> 0.1.14-1mdk
- New release 0.1.14
- adapt to new X11 package name in BuildRequires
- BuildRequires curl-devel, for online high-scores

* Mon Apr 10 2006 Olivier Blin <oblin@mandriva.com> 0.1.12-1mdk
- New release 0.1.12

* Tue Feb 07 2006 Olivier Blin <oblin@mandriva.com> 0.1.11-1mdk
- New release 0.1.11

* Sat Dec 03 2005 Olivier Blin <oblin@mandriva.com> 0.1.10-1mdk
- New release 0.1.10

* Fri Dec 02 2005 Olivier Blin <oblin@mandriva.com> 0.1.9-2mdk
- add linking workaround for lua as well
- enable linking workaround if <= 2006.0 only

* Fri Dec 02 2005 Olivier Blin <oblin@mandriva.com> 0.1.9-1mdk
- New release 0.1.9

* Tue Nov 15 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-3mdk
- add SDL_mixer-devel BuildRequires

* Tue Nov 15 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-2mdk
- add icons
- mkrel
- workaround not to link against the devel .so
- fix x86_64 build

* Fri Nov 11 2005 Olivier Blin <oblin@mandriva.com> 0.1.8-1mdk
- initial Mandriva release

